    .primary-bg {
        background-color: $primary-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: rgba(white, 0.9);
            }
        }
    }

    .secondary-bg {
        background-color: $secondary-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .blue-bg {
        background-color: $blue-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .red-bg {
        background-color: $red-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .purple-bg {
        background-color: $purple-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .green-bg {
        background-color: $green-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .gray-bg {
        background-color: $gray-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .darkblue-bg {
        background-color: $gray-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .darkblue-bg {
        background-color: $darkblue-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .yellow-bg {
        background-color: $yellow-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .turqoise-bg {
        background-color: $turqoise-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .orange-bg {
        background-color: $orange-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .magenta-bg {
        background-color: $magenta-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .almond-bg {
        background-color: $almond-color !important;
        color: white;
        a {
            color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }

    .zebra-odd-bg {
        background-color: $table-zebra-odd !important;

    }

    .zebra-even-bg {
        background-color: $table-zebra-even !important;
    }

    .zebra-odd-darker-bg {
        background-color: $table-zebra-odd-darker !important;
    }

    .zebra-even-darker-bg {
        background-color: $table-zebra-even-darker !important;
    }



    .white-color {
        color: white !important;
    }

    .primary-color {
        color: $primary-color !important;
    }

    .secondary-color {
        color: $secondary-color !important;
    }

    .gray-color {
        color: $gray-color !important;
    }

    .padder {
        padding: 1em;
    }

    .padder--desktop-only {
        @include breakpoint(medium) {
            padding: 1em;
        }
    }

    .pseudo-zindex1 {
        &:before,
        &:after {
            z-index: 1 !important;
        }
    }



    .lh-150 {
        line-height: 1.5
    }

    .lh-175 {
        line-height: 1.75
    }

    .lh-200 {
        line-height: 2
    }

    .trigger {
        cursor: pointer;
        [class^="proxicon-Arrow"] {
            font-size: 80%;
            transition: transform .3s linear;
        }
    }

    .rotated-90 {
        display: inline-block;
        transform: rotate(180deg);
        transition: transform .45s;
    }

    .flextext {
        font-size: calc(.5vw + 12px);
    } ///helper to hide a block in Jive daily and show it on other agents
    .display-block {
        display: block!important;
    }

    .visible {
        visibility: visible !important;
        height: auto!important;
    }

    //make a background color only version, without other styling, including color lightness shades
    @each $name,
    $color in $foundation-palette {

        .#{$name}-bgc {
            background-color: $color !important;

            @each $value in $color-lightness-classes {
                &.lighten-#{$value} {
                    background-color: mix(#ffffff, $color, $value)!important;
                }

            }
        }

    }

    @each $name,
    $color in $foundation-palette {

        .#{$name}-color {
            color: $color !important;

            @each $value in $color-lightness-classes {
                &.clt-#{$value} {
                    color: mix(#ffffff, $color, $value)!important;
                }

            }
        }

    }

    .hoverable {
        transition: background-color .8s, color .3s;
        &:hover,
        &:focus {
            cursor: pointer;
            background: $background-hover!important;
            background-color: $background-hover!important;
            color: white;
            transition: background-color .8s, color .3s;
        }
        a {
            //color: white;
            &:hover,
            &:focus {
                color: white;
            }
        }
    }